package com.company.kanbantest.entity;

import io.jmix.core.metamodel.datatype.EnumClass;

import org.springframework.lang.Nullable;


public enum BillSubmissionEnum implements EnumClass<String> {

    QUEUE("Queue"),
    SUBMITTED("Submitted"),
    REJECTED("Rejected"),
    FUTURE("Future");

    private final String id;

    BillSubmissionEnum(String id) {
        this.id = id;
    }

    public String getId() {
        return id;
    }

    @Nullable
    public static BillSubmissionEnum fromId(String id) {
        for (BillSubmissionEnum at : BillSubmissionEnum.values()) {
            if (at.getId().equals(id)) {
                return at;
            }
        }
        return null;
    }
}