package com.company.kanbantest.entity;

import io.jmix.core.metamodel.datatype.EnumClass;

import org.springframework.lang.Nullable;


import io.jmix.core.metamodel.datatype.EnumClass;

import org.springframework.lang.Nullable;


public enum BillingStatusEnum implements EnumClass<String> {

    APPROVED("Approved"),
    REJECTED("Rejected"),
    MISSING("Missing");

    private final String id;

    BillingStatusEnum(String id) {
        this.id = id;
    }

    public String getId() {
        return id;
    }

    @Nullable
    public static BillingStatusEnum fromId(String id) {
        for (BillingStatusEnum at : BillingStatusEnum.values()) {
            if (at.getId().equals(id)) {
                return at;
            }
        }
        return null;
    }
}